Log4JLogRecord (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5
Class Log4JLogRecord

    java.lang.Object
      org.apache.log4j.lf5.LogRecord
          org.apache.log4j.lf5.Log4JLogRecord

All Implemented Interfaces:
  Serializable

    public class Log4JLogRecord

extends LogRecord

A `Log4JLogRecord` encapsulates the details of your log4j `LoggingEvent` in a format usable by the `LogBrokerMonitor`.

Author:
  Brent Sprecher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.log4j.lf5.LogRecord
`_category, _level, _location, _message, _millis, _ndc, _seqCount, _sequenceNumber, _thread, _thrown, _thrownStackTrace`

Constructor Summary
`Log4JLogRecord()` Constructs an instance of a `Log4JLogRecord`.

Method Summary
`boolean` | `isSevereLevel()` Determines which `Priority` levels will be displayed in colored font when the `LogMonitorAppender` renders this log message.
`void` | `setThrownStackTrace(ThrowableInformation throwableInfo)` Set stack trace information associated with this Log4JLogRecord.

Methods inherited from class org.apache.log4j.lf5.LogRecord
`getCategory, getLevel, getLocation, getMessage, getMillis, getNDC, getNextId, getSequenceNumber, getThreadDescription, getThrown, getThrownStackTrace, hasThrown, isFatal, resetSequenceNumber, setCategory, setLevel, setLocation, setMessage, setMillis, setNDC, setSequenceNumber, setThreadDescription, setThrown, setThrownStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Log4JLogRecord

    public Log4JLogRecord()

  Constructs an instance of a `Log4JLogRecord`.

Method Detail

### isSevereLevel

    public boolean isSevereLevel()

  Determines which `Priority` levels will be displayed in colored font when the `LogMonitorAppender` renders this log message. By default, messages will be colored red if they are of `Priority` ERROR or FATAL.

  Specified by:
    `isSevereLevel` in class `LogRecord`
  Returns:
    true if the log level is ERROR or FATAL.

### setThrownStackTrace

    public void setThrownStackTrace(ThrowableInformation throwableInfo)

  Set stack trace information associated with this Log4JLogRecord. When this method is called, the stack trace in a String-based format is made available via the getThrownStackTrace() method.

  Parameters:
    `throwableInfo` - An org.apache.log4j.spi.ThrowableInformation to associate with this Log4JLogRecord.
  See Also:
    `LogRecord.getThrownStackTrace()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.